/*******************************************************************************
 Copyright (c) Microsoft Open Technologies, Inc. All Rights Reserved.
 Licensed under the MIT or Apache License; see LICENSE in the source repository
 root for authoritative license information.﻿

 **NOTE** This code was generated by a tool and will occasionally be
 overwritten. We welcome comments and issues regarding this code; they will be
 addressed in the generation tool. If you wish to submit pull requests, please
 do so for the templates in that tool.

 This code was generated by Vipr (https://github.com/microsoft/vipr) using
 the T4TemplateWriter (https://github.com/msopentech/vipr-t4templatewriter).
 ******************************************************************************/
package com.microsoft.graph;

/**
 * The type User.
*/
public class User extends DirectoryObject {

    public User(){
        setODataType("#Microsoft.Graph.User");
    }
            
    private Boolean accountEnabled;
     
    /**
    * Gets the account Enabled.
    *
    * @return the Boolean
    */
    public Boolean getaccountEnabled() {
        return this.accountEnabled; 
    }

    /**
    * Sets the account Enabled.
    *
    * @param value the Boolean
    */
    public void setaccountEnabled(Boolean value) { 
        this.accountEnabled = value; 
    }
    
    
    private java.util.List<AssignedLicense> assignedLicenses = new java.util.ArrayList<AssignedLicense>();
    
    
     
    /**
    * Gets the assigned Licenses.
    *
    * @return the java.util.List<AssignedLicense>
    */
    public java.util.List<AssignedLicense> getassignedLicenses() {
        return this.assignedLicenses; 
    }

    /**
    * Sets the assigned Licenses.
    *
    * @param value the java.util.List<AssignedLicense>
    */
    public void setassignedLicenses(java.util.List<AssignedLicense> value) { 
        this.assignedLicenses = value; 
    }
    
    
    private java.util.List<AssignedPlan> assignedPlans = new java.util.ArrayList<AssignedPlan>();
    
    
     
    /**
    * Gets the assigned Plans.
    *
    * @return the java.util.List<AssignedPlan>
    */
    public java.util.List<AssignedPlan> getassignedPlans() {
        return this.assignedPlans; 
    }

    /**
    * Sets the assigned Plans.
    *
    * @param value the java.util.List<AssignedPlan>
    */
    public void setassignedPlans(java.util.List<AssignedPlan> value) { 
        this.assignedPlans = value; 
    }
            
    private String city;
     
    /**
    * Gets the city.
    *
    * @return the String
    */
    public String getcity() {
        return this.city; 
    }

    /**
    * Sets the city.
    *
    * @param value the String
    */
    public void setcity(String value) { 
        this.city = value; 
    }
            
    private String country;
     
    /**
    * Gets the country.
    *
    * @return the String
    */
    public String getcountry() {
        return this.country; 
    }

    /**
    * Sets the country.
    *
    * @param value the String
    */
    public void setcountry(String value) { 
        this.country = value; 
    }
            
    private String department;
     
    /**
    * Gets the department.
    *
    * @return the String
    */
    public String getdepartment() {
        return this.department; 
    }

    /**
    * Sets the department.
    *
    * @param value the String
    */
    public void setdepartment(String value) { 
        this.department = value; 
    }
            
    private Boolean dirSyncEnabled;
     
    /**
    * Gets the dir Sync Enabled.
    *
    * @return the Boolean
    */
    public Boolean getdirSyncEnabled() {
        return this.dirSyncEnabled; 
    }

    /**
    * Sets the dir Sync Enabled.
    *
    * @param value the Boolean
    */
    public void setdirSyncEnabled(Boolean value) { 
        this.dirSyncEnabled = value; 
    }
            
    private String displayName;
     
    /**
    * Gets the display Name.
    *
    * @return the String
    */
    public String getdisplayName() {
        return this.displayName; 
    }

    /**
    * Sets the display Name.
    *
    * @param value the String
    */
    public void setdisplayName(String value) { 
        this.displayName = value; 
    }
            
    private String facsimileTelephoneNumber;
     
    /**
    * Gets the facsimile Telephone Number.
    *
    * @return the String
    */
    public String getfacsimileTelephoneNumber() {
        return this.facsimileTelephoneNumber; 
    }

    /**
    * Sets the facsimile Telephone Number.
    *
    * @param value the String
    */
    public void setfacsimileTelephoneNumber(String value) { 
        this.facsimileTelephoneNumber = value; 
    }
            
    private String givenName;
     
    /**
    * Gets the given Name.
    *
    * @return the String
    */
    public String getgivenName() {
        return this.givenName; 
    }

    /**
    * Sets the given Name.
    *
    * @param value the String
    */
    public void setgivenName(String value) { 
        this.givenName = value; 
    }
            
    private String immutableId;
     
    /**
    * Gets the immutable Id.
    *
    * @return the String
    */
    public String getimmutableId() {
        return this.immutableId; 
    }

    /**
    * Sets the immutable Id.
    *
    * @param value the String
    */
    public void setimmutableId(String value) { 
        this.immutableId = value; 
    }
            
    private String jobTitle;
     
    /**
    * Gets the job Title.
    *
    * @return the String
    */
    public String getjobTitle() {
        return this.jobTitle; 
    }

    /**
    * Sets the job Title.
    *
    * @param value the String
    */
    public void setjobTitle(String value) { 
        this.jobTitle = value; 
    }
            
    private java.util.Calendar lastDirSyncTime;
     
    /**
    * Gets the last Dir Sync Time.
    *
    * @return the java.util.Calendar
    */
    public java.util.Calendar getlastDirSyncTime() {
        return this.lastDirSyncTime; 
    }

    /**
    * Sets the last Dir Sync Time.
    *
    * @param value the java.util.Calendar
    */
    public void setlastDirSyncTime(java.util.Calendar value) { 
        this.lastDirSyncTime = value; 
    }
            
    private String mail;
     
    /**
    * Gets the mail.
    *
    * @return the String
    */
    public String getmail() {
        return this.mail; 
    }

    /**
    * Sets the mail.
    *
    * @param value the String
    */
    public void setmail(String value) { 
        this.mail = value; 
    }
            
    private String mailNickname;
     
    /**
    * Gets the mail Nickname.
    *
    * @return the String
    */
    public String getmailNickname() {
        return this.mailNickname; 
    }

    /**
    * Sets the mail Nickname.
    *
    * @param value the String
    */
    public void setmailNickname(String value) { 
        this.mailNickname = value; 
    }
            
    private String mobile;
     
    /**
    * Gets the mobile.
    *
    * @return the String
    */
    public String getmobile() {
        return this.mobile; 
    }

    /**
    * Sets the mobile.
    *
    * @param value the String
    */
    public void setmobile(String value) { 
        this.mobile = value; 
    }
            
    private String onPremisesSecurityIdentifier;
     
    /**
    * Gets the on Premises Security Identifier.
    *
    * @return the String
    */
    public String getonPremisesSecurityIdentifier() {
        return this.onPremisesSecurityIdentifier; 
    }

    /**
    * Sets the on Premises Security Identifier.
    *
    * @param value the String
    */
    public void setonPremisesSecurityIdentifier(String value) { 
        this.onPremisesSecurityIdentifier = value; 
    }
    
    
    private java.util.List<String> otherMails = new java.util.ArrayList<String>();
    
    
     
    /**
    * Gets the other Mails.
    *
    * @return the java.util.List<String>
    */
    public java.util.List<String> getotherMails() {
        return this.otherMails; 
    }

    /**
    * Sets the other Mails.
    *
    * @param value the java.util.List<String>
    */
    public void setotherMails(java.util.List<String> value) { 
        this.otherMails = value; 
    }
            
    private String passwordPolicies;
     
    /**
    * Gets the password Policies.
    *
    * @return the String
    */
    public String getpasswordPolicies() {
        return this.passwordPolicies; 
    }

    /**
    * Sets the password Policies.
    *
    * @param value the String
    */
    public void setpasswordPolicies(String value) { 
        this.passwordPolicies = value; 
    }
            
    private PasswordProfile passwordProfile;
     
    /**
    * Gets the password Profile.
    *
    * @return the PasswordProfile
    */
    public PasswordProfile getpasswordProfile() {
        return this.passwordProfile; 
    }

    /**
    * Sets the password Profile.
    *
    * @param value the PasswordProfile
    */
    public void setpasswordProfile(PasswordProfile value) { 
        this.passwordProfile = value; 
    }
            
    private String physicalDeliveryOfficeName;
     
    /**
    * Gets the physical Delivery Office Name.
    *
    * @return the String
    */
    public String getphysicalDeliveryOfficeName() {
        return this.physicalDeliveryOfficeName; 
    }

    /**
    * Sets the physical Delivery Office Name.
    *
    * @param value the String
    */
    public void setphysicalDeliveryOfficeName(String value) { 
        this.physicalDeliveryOfficeName = value; 
    }
            
    private String postalCode;
     
    /**
    * Gets the postal Code.
    *
    * @return the String
    */
    public String getpostalCode() {
        return this.postalCode; 
    }

    /**
    * Sets the postal Code.
    *
    * @param value the String
    */
    public void setpostalCode(String value) { 
        this.postalCode = value; 
    }
            
    private String preferredLanguage;
     
    /**
    * Gets the preferred Language.
    *
    * @return the String
    */
    public String getpreferredLanguage() {
        return this.preferredLanguage; 
    }

    /**
    * Sets the preferred Language.
    *
    * @param value the String
    */
    public void setpreferredLanguage(String value) { 
        this.preferredLanguage = value; 
    }
    
    
    private java.util.List<ProvisionedPlan> provisionedPlans = new java.util.ArrayList<ProvisionedPlan>();
    
    
     
    /**
    * Gets the provisioned Plans.
    *
    * @return the java.util.List<ProvisionedPlan>
    */
    public java.util.List<ProvisionedPlan> getprovisionedPlans() {
        return this.provisionedPlans; 
    }

    /**
    * Sets the provisioned Plans.
    *
    * @param value the java.util.List<ProvisionedPlan>
    */
    public void setprovisionedPlans(java.util.List<ProvisionedPlan> value) { 
        this.provisionedPlans = value; 
    }
    
    
    private java.util.List<ProvisioningError> provisioningErrors = new java.util.ArrayList<ProvisioningError>();
    
    
     
    /**
    * Gets the provisioning Errors.
    *
    * @return the java.util.List<ProvisioningError>
    */
    public java.util.List<ProvisioningError> getprovisioningErrors() {
        return this.provisioningErrors; 
    }

    /**
    * Sets the provisioning Errors.
    *
    * @param value the java.util.List<ProvisioningError>
    */
    public void setprovisioningErrors(java.util.List<ProvisioningError> value) { 
        this.provisioningErrors = value; 
    }
    
    
    private java.util.List<String> proxyAddresses = new java.util.ArrayList<String>();
    
    
     
    /**
    * Gets the proxy Addresses.
    *
    * @return the java.util.List<String>
    */
    public java.util.List<String> getproxyAddresses() {
        return this.proxyAddresses; 
    }

    /**
    * Sets the proxy Addresses.
    *
    * @param value the java.util.List<String>
    */
    public void setproxyAddresses(java.util.List<String> value) { 
        this.proxyAddresses = value; 
    }
            
    private String sipProxyAddress;
     
    /**
    * Gets the sip Proxy Address.
    *
    * @return the String
    */
    public String getsipProxyAddress() {
        return this.sipProxyAddress; 
    }

    /**
    * Sets the sip Proxy Address.
    *
    * @param value the String
    */
    public void setsipProxyAddress(String value) { 
        this.sipProxyAddress = value; 
    }
            
    private String state;
     
    /**
    * Gets the state.
    *
    * @return the String
    */
    public String getstate() {
        return this.state; 
    }

    /**
    * Sets the state.
    *
    * @param value the String
    */
    public void setstate(String value) { 
        this.state = value; 
    }
            
    private String streetAddress;
     
    /**
    * Gets the street Address.
    *
    * @return the String
    */
    public String getstreetAddress() {
        return this.streetAddress; 
    }

    /**
    * Sets the street Address.
    *
    * @param value the String
    */
    public void setstreetAddress(String value) { 
        this.streetAddress = value; 
    }
            
    private String surname;
     
    /**
    * Gets the surname.
    *
    * @return the String
    */
    public String getsurname() {
        return this.surname; 
    }

    /**
    * Sets the surname.
    *
    * @param value the String
    */
    public void setsurname(String value) { 
        this.surname = value; 
    }
            
    private String telephoneNumber;
     
    /**
    * Gets the telephone Number.
    *
    * @return the String
    */
    public String gettelephoneNumber() {
        return this.telephoneNumber; 
    }

    /**
    * Sets the telephone Number.
    *
    * @param value the String
    */
    public void settelephoneNumber(String value) { 
        this.telephoneNumber = value; 
    }
            
    private byte[] thumbnailPhoto;
     
    /**
    * Gets the thumbnail Photo.
    *
    * @return the byte[]
    */
    public byte[] getthumbnailPhoto() {
        return this.thumbnailPhoto; 
    }

    /**
    * Sets the thumbnail Photo.
    *
    * @param value the byte[]
    */
    public void setthumbnailPhoto(byte[] value) { 
        this.thumbnailPhoto = value; 
    }
            
    private String usageLocation;
     
    /**
    * Gets the usage Location.
    *
    * @return the String
    */
    public String getusageLocation() {
        return this.usageLocation; 
    }

    /**
    * Sets the usage Location.
    *
    * @param value the String
    */
    public void setusageLocation(String value) { 
        this.usageLocation = value; 
    }
            
    private String userPrincipalName;
     
    /**
    * Gets the user Principal Name.
    *
    * @return the String
    */
    public String getuserPrincipalName() {
        return this.userPrincipalName; 
    }

    /**
    * Sets the user Principal Name.
    *
    * @param value the String
    */
    public void setuserPrincipalName(String value) { 
        this.userPrincipalName = value; 
    }
            
    private String userType;
     
    /**
    * Gets the user Type.
    *
    * @return the String
    */
    public String getuserType() {
        return this.userType; 
    }

    /**
    * Sets the user Type.
    *
    * @param value the String
    */
    public void setuserType(String value) { 
        this.userType = value; 
    }
            
    private java.util.UUID MailboxGuid;
     
    /**
    * Gets the Mailbox Guid.
    *
    * @return the java.util.UUID
    */
    public java.util.UUID getMailboxGuid() {
        return this.MailboxGuid; 
    }

    /**
    * Sets the Mailbox Guid.
    *
    * @param value the java.util.UUID
    */
    public void setMailboxGuid(java.util.UUID value) { 
        this.MailboxGuid = value; 
    }
            
    private String AboutMe;
     
    /**
    * Gets the About Me.
    *
    * @return the String
    */
    public String getAboutMe() {
        return this.AboutMe; 
    }

    /**
    * Sets the About Me.
    *
    * @param value the String
    */
    public void setAboutMe(String value) { 
        this.AboutMe = value; 
    }
            
    private String Alias;
     
    /**
    * Gets the Alias.
    *
    * @return the String
    */
    public String getAlias() {
        return this.Alias; 
    }

    /**
    * Sets the Alias.
    *
    * @param value the String
    */
    public void setAlias(String value) { 
        this.Alias = value; 
    }
            
    private java.util.Calendar Birthday;
     
    /**
    * Gets the Birthday.
    *
    * @return the java.util.Calendar
    */
    public java.util.Calendar getBirthday() {
        return this.Birthday; 
    }

    /**
    * Sets the Birthday.
    *
    * @param value the java.util.Calendar
    */
    public void setBirthday(java.util.Calendar value) { 
        this.Birthday = value; 
    }
            
    private java.util.Calendar HireDate;
     
    /**
    * Gets the Hire Date.
    *
    * @return the java.util.Calendar
    */
    public java.util.Calendar getHireDate() {
        return this.HireDate; 
    }

    /**
    * Sets the Hire Date.
    *
    * @param value the java.util.Calendar
    */
    public void setHireDate(java.util.Calendar value) { 
        this.HireDate = value; 
    }
    
    
    private java.util.List<String> Interests = new java.util.ArrayList<String>();
    
    
     
    /**
    * Gets the Interests.
    *
    * @return the java.util.List<String>
    */
    public java.util.List<String> getInterests() {
        return this.Interests; 
    }

    /**
    * Sets the Interests.
    *
    * @param value the java.util.List<String>
    */
    public void setInterests(java.util.List<String> value) { 
        this.Interests = value; 
    }
            
    private String MySite;
     
    /**
    * Gets the My Site.
    *
    * @return the String
    */
    public String getMySite() {
        return this.MySite; 
    }

    /**
    * Sets the My Site.
    *
    * @param value the String
    */
    public void setMySite(String value) { 
        this.MySite = value; 
    }
    
    
    private java.util.List<String> PastProjects = new java.util.ArrayList<String>();
    
    
     
    /**
    * Gets the Past Projects.
    *
    * @return the java.util.List<String>
    */
    public java.util.List<String> getPastProjects() {
        return this.PastProjects; 
    }

    /**
    * Sets the Past Projects.
    *
    * @param value the java.util.List<String>
    */
    public void setPastProjects(java.util.List<String> value) { 
        this.PastProjects = value; 
    }
            
    private String PreferredName;
     
    /**
    * Gets the Preferred Name.
    *
    * @return the String
    */
    public String getPreferredName() {
        return this.PreferredName; 
    }

    /**
    * Sets the Preferred Name.
    *
    * @param value the String
    */
    public void setPreferredName(String value) { 
        this.PreferredName = value; 
    }
            
    private String PrincipalName;
     
    /**
    * Gets the Principal Name.
    *
    * @return the String
    */
    public String getPrincipalName() {
        return this.PrincipalName; 
    }

    /**
    * Sets the Principal Name.
    *
    * @param value the String
    */
    public void setPrincipalName(String value) { 
        this.PrincipalName = value; 
    }
    
    
    private java.util.List<String> Responsibilities = new java.util.ArrayList<String>();
    
    
     
    /**
    * Gets the Responsibilities.
    *
    * @return the java.util.List<String>
    */
    public java.util.List<String> getResponsibilities() {
        return this.Responsibilities; 
    }

    /**
    * Sets the Responsibilities.
    *
    * @param value the java.util.List<String>
    */
    public void setResponsibilities(java.util.List<String> value) { 
        this.Responsibilities = value; 
    }
    
    
    private java.util.List<String> Schools = new java.util.ArrayList<String>();
    
    
     
    /**
    * Gets the Schools.
    *
    * @return the java.util.List<String>
    */
    public java.util.List<String> getSchools() {
        return this.Schools; 
    }

    /**
    * Sets the Schools.
    *
    * @param value the java.util.List<String>
    */
    public void setSchools(java.util.List<String> value) { 
        this.Schools = value; 
    }
    
    
    private java.util.List<String> Skills = new java.util.ArrayList<String>();
    
    
     
    /**
    * Gets the Skills.
    *
    * @return the java.util.List<String>
    */
    public java.util.List<String> getSkills() {
        return this.Skills; 
    }

    /**
    * Sets the Skills.
    *
    * @param value the java.util.List<String>
    */
    public void setSkills(java.util.List<String> value) { 
        this.Skills = value; 
    }
    
    
    private java.util.List<String> Tags = new java.util.ArrayList<String>();
    
    
     
    /**
    * Gets the Tags.
    *
    * @return the java.util.List<String>
    */
    public java.util.List<String> getTags() {
        return this.Tags; 
    }

    /**
    * Sets the Tags.
    *
    * @param value the java.util.List<String>
    */
    public void setTags(java.util.List<String> value) { 
        this.Tags = value; 
    }
    
    
    private java.util.List<AppRoleAssignment> appRoleAssignments = new java.util.ArrayList<AppRoleAssignment>();
    
    
     
    /**
    * Gets the app Role Assignments.
    *
    * @return the java.util.List<AppRoleAssignment>
    */
    public java.util.List<AppRoleAssignment> getappRoleAssignments() {
        return this.appRoleAssignments; 
    }

    /**
    * Sets the app Role Assignments.
    *
    * @param value the java.util.List<AppRoleAssignment>
    */
    public void setappRoleAssignments(java.util.List<AppRoleAssignment> value) { 
        this.appRoleAssignments = value; 
    }
    
    
    private java.util.List<OAuth2PermissionGrant> oauth2PermissionGrants = new java.util.ArrayList<OAuth2PermissionGrant>();
    
    
     
    /**
    * Gets the oauth2Permission Grants.
    *
    * @return the java.util.List<OAuth2PermissionGrant>
    */
    public java.util.List<OAuth2PermissionGrant> getoauth2PermissionGrants() {
        return this.oauth2PermissionGrants; 
    }

    /**
    * Sets the oauth2Permission Grants.
    *
    * @param value the java.util.List<OAuth2PermissionGrant>
    */
    public void setoauth2PermissionGrants(java.util.List<OAuth2PermissionGrant> value) { 
        this.oauth2PermissionGrants = value; 
    }
    
    
    private java.util.List<DirectoryObject> ownedDevices = new java.util.ArrayList<DirectoryObject>();
    
    
     
    /**
    * Gets the owned Devices.
    *
    * @return the java.util.List<DirectoryObject>
    */
    public java.util.List<DirectoryObject> getownedDevices() {
        return this.ownedDevices; 
    }

    /**
    * Sets the owned Devices.
    *
    * @param value the java.util.List<DirectoryObject>
    */
    public void setownedDevices(java.util.List<DirectoryObject> value) { 
        this.ownedDevices = value; 
    }
    
    
    private java.util.List<DirectoryObject> registeredDevices = new java.util.ArrayList<DirectoryObject>();
    
    
     
    /**
    * Gets the registered Devices.
    *
    * @return the java.util.List<DirectoryObject>
    */
    public java.util.List<DirectoryObject> getregisteredDevices() {
        return this.registeredDevices; 
    }

    /**
    * Sets the registered Devices.
    *
    * @param value the java.util.List<DirectoryObject>
    */
    public void setregisteredDevices(java.util.List<DirectoryObject> value) { 
        this.registeredDevices = value; 
    }
            
    private DirectoryObject manager;
     
    /**
    * Gets the manager.
    *
    * @return the DirectoryObject
    */
    public DirectoryObject getmanager() {
        return this.manager; 
    }

    /**
    * Sets the manager.
    *
    * @param value the DirectoryObject
    */
    public void setmanager(DirectoryObject value) { 
        this.manager = value; 
    }
    
    
    private java.util.List<DirectoryObject> directReports = new java.util.ArrayList<DirectoryObject>();
    
    
     
    /**
    * Gets the direct Reports.
    *
    * @return the java.util.List<DirectoryObject>
    */
    public java.util.List<DirectoryObject> getdirectReports() {
        return this.directReports; 
    }

    /**
    * Sets the direct Reports.
    *
    * @param value the java.util.List<DirectoryObject>
    */
    public void setdirectReports(java.util.List<DirectoryObject> value) { 
        this.directReports = value; 
    }
    
    
    private java.util.List<DirectoryObject> memberOf = new java.util.ArrayList<DirectoryObject>();
    
    
     
    /**
    * Gets the member Of.
    *
    * @return the java.util.List<DirectoryObject>
    */
    public java.util.List<DirectoryObject> getmemberOf() {
        return this.memberOf; 
    }

    /**
    * Sets the member Of.
    *
    * @param value the java.util.List<DirectoryObject>
    */
    public void setmemberOf(java.util.List<DirectoryObject> value) { 
        this.memberOf = value; 
    }
    
    
    private java.util.List<DirectoryObject> createdObjects = new java.util.ArrayList<DirectoryObject>();
    
    
     
    /**
    * Gets the created Objects.
    *
    * @return the java.util.List<DirectoryObject>
    */
    public java.util.List<DirectoryObject> getcreatedObjects() {
        return this.createdObjects; 
    }

    /**
    * Sets the created Objects.
    *
    * @param value the java.util.List<DirectoryObject>
    */
    public void setcreatedObjects(java.util.List<DirectoryObject> value) { 
        this.createdObjects = value; 
    }
    
    
    private java.util.List<DirectoryObject> ownedObjects = new java.util.ArrayList<DirectoryObject>();
    
    
     
    /**
    * Gets the owned Objects.
    *
    * @return the java.util.List<DirectoryObject>
    */
    public java.util.List<DirectoryObject> getownedObjects() {
        return this.ownedObjects; 
    }

    /**
    * Sets the owned Objects.
    *
    * @param value the java.util.List<DirectoryObject>
    */
    public void setownedObjects(java.util.List<DirectoryObject> value) { 
        this.ownedObjects = value; 
    }
    
    
    private java.util.List<Message> Messages = new java.util.ArrayList<Message>();
    
    
     
    /**
    * Gets the Messages.
    *
    * @return the java.util.List<Message>
    */
    public java.util.List<Message> getMessages() {
        return this.Messages; 
    }

    /**
    * Sets the Messages.
    *
    * @param value the java.util.List<Message>
    */
    public void setMessages(java.util.List<Message> value) { 
        this.Messages = value; 
    }
    
    
    private java.util.List<Calendar> Calendars = new java.util.ArrayList<Calendar>();
    
    
     
    /**
    * Gets the Calendars.
    *
    * @return the java.util.List<Calendar>
    */
    public java.util.List<Calendar> getCalendars() {
        return this.Calendars; 
    }

    /**
    * Sets the Calendars.
    *
    * @param value the java.util.List<Calendar>
    */
    public void setCalendars(java.util.List<Calendar> value) { 
        this.Calendars = value; 
    }
            
    private Calendar Calendar;
     
    /**
    * Gets the Calendar.
    *
    * @return the Calendar
    */
    public Calendar getCalendar() {
        return this.Calendar; 
    }

    /**
    * Sets the Calendar.
    *
    * @param value the Calendar
    */
    public void setCalendar(Calendar value) { 
        this.Calendar = value; 
    }
    
    
    private java.util.List<CalendarGroup> CalendarGroups = new java.util.ArrayList<CalendarGroup>();
    
    
     
    /**
    * Gets the Calendar Groups.
    *
    * @return the java.util.List<CalendarGroup>
    */
    public java.util.List<CalendarGroup> getCalendarGroups() {
        return this.CalendarGroups; 
    }

    /**
    * Sets the Calendar Groups.
    *
    * @param value the java.util.List<CalendarGroup>
    */
    public void setCalendarGroups(java.util.List<CalendarGroup> value) { 
        this.CalendarGroups = value; 
    }
    
    
    private java.util.List<Event> Events = new java.util.ArrayList<Event>();
    
    
     
    /**
    * Gets the Events.
    *
    * @return the java.util.List<Event>
    */
    public java.util.List<Event> getEvents() {
        return this.Events; 
    }

    /**
    * Sets the Events.
    *
    * @param value the java.util.List<Event>
    */
    public void setEvents(java.util.List<Event> value) { 
        this.Events = value; 
    }
    
    
    private java.util.List<Event> CalendarView = new java.util.ArrayList<Event>();
    
    
     
    /**
    * Gets the Calendar View.
    *
    * @return the java.util.List<Event>
    */
    public java.util.List<Event> getCalendarView() {
        return this.CalendarView; 
    }

    /**
    * Sets the Calendar View.
    *
    * @param value the java.util.List<Event>
    */
    public void setCalendarView(java.util.List<Event> value) { 
        this.CalendarView = value; 
    }
            
    private Photo UserPhoto;
     
    /**
    * Gets the User Photo.
    *
    * @return the Photo
    */
    public Photo getUserPhoto() {
        return this.UserPhoto; 
    }

    /**
    * Sets the User Photo.
    *
    * @param value the Photo
    */
    public void setUserPhoto(Photo value) { 
        this.UserPhoto = value; 
    }
    
    
    private java.util.List<Photo> UserPhotos = new java.util.ArrayList<Photo>();
    
    
     
    /**
    * Gets the User Photos.
    *
    * @return the java.util.List<Photo>
    */
    public java.util.List<Photo> getUserPhotos() {
        return this.UserPhotos; 
    }

    /**
    * Sets the User Photos.
    *
    * @param value the java.util.List<Photo>
    */
    public void setUserPhotos(java.util.List<Photo> value) { 
        this.UserPhotos = value; 
    }
            
    private Drive drive;
     
    /**
    * Gets the drive.
    *
    * @return the Drive
    */
    public Drive getdrive() {
        return this.drive; 
    }

    /**
    * Sets the drive.
    *
    * @param value the Drive
    */
    public void setdrive(Drive value) { 
        this.drive = value; 
    }
    
    
    private java.util.List<Item> files = new java.util.ArrayList<Item>();
    
    
     
    /**
    * Gets the files.
    *
    * @return the java.util.List<Item>
    */
    public java.util.List<Item> getfiles() {
        return this.files; 
    }

    /**
    * Sets the files.
    *
    * @param value the java.util.List<Item>
    */
    public void setfiles(java.util.List<Item> value) { 
        this.files = value; 
    }
}

